UNIT PUBLIC;

INTERFACE

Const
      GlobalRevision       = 030395;
      ResumeRevision       = 030395;
      StatRevision         = 030395;
      DLStatRevision       = 140596;


Type
     AKAType = Record
                Zone  ,
                Net   ,
                Node  ,
                Point : Integer;
                Domain: string [35];
               End;

     McMInter   = String[39];

     InfoRecord = Record
                   Name      : String[12];
                   Area      : Word;
                   DStart    ,
                   DStop     : LongInt;
                  End;

     LimitType   = Record
                    Zeit  ,
                    SizeKB,
                    SizeNR : LongInt;
                    LineNr : Byte;
                   End;

     AliasSaveType = Record
                      AliasName      : String[12];
                      ConcerningFile : String[60];
                      Pswd           : String[12];
                      DStart         ,
                      DStop          : LongInt;
                      ReleaseDate    : LongInt;
                      LineNr         : Byte;
                     End;

    FilesPTHType = Record
                    Path      : String [127];
                   End;

    CDROMPTHType = Record
                    Path      : String [127];
                    FilesBBS  : String [40];
                   End;

    UserDef      = Record
                    AKA     :  AKAType;
                    AKATic  :  AKAType;
                    UserName:  String [36];
                    Total   :  LimitType;
                    NewReq  :  LimitType;
                    LastReq ,
                    FirstReq:  LongInt;
                    TICpswd :  String [20];
                    TICarea :  String [20];
                    UseTic  ,
                    UseBBS  : Boolean;
                   End;

   ResumeInfoHeaderType  = Record
                            Revision     : LongInt;
                            GeneratedOn  : LongInt;
                            AKA          : AKAType;
                           End;

      ResumeInfoRecord   = Record
                            ReqName     : String [12];
                            ReqPath     : String [80];
                            FileDate    : LongInt;
                            RequestTime : LongInt;
                           End;


      GlobalStat         = Record
                            Revision    : LongInt;
                            GeneratedOn : LongInt;
                            TotalCalls  ,
                            TotalFiles  ,
                            TotalMin    ,
                            TotalSize   : LongInt;
                            LastUser    : String;
                            LastAKA     : AKAType;
                           End;

      StatisticHeaderType= Record
                            Revision     : LongInt;
                            GeneratedOn  : LongInt;
                           End;

      StatisticType      = Record
                            Name         : String[12];
                            LastAccess,
                            FirstAccess  : LongInt;
                            Times        : LongInt;
                           End;
    DLStatisticHeaderType= Record
                            Revision     : LongInt;
                            GeneratedOn  : LongInt;
                           End;

    DLStatisticType      = Record
                            Name         : String;
                            IsCDROM      : Boolean;
                            Times        : LongInt;
                           End;

END.
